Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JMSEndpointStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JMSEndpointStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JMSEndpointStats, Serializable, javax.management.j2ee.statistics.Stats

Direct Known Subclasses:
  JMSConsumerStatsImpl, JMSProducerStatsImpl

public abstract class JMSEndpointStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JMSEndpointStats

Represents a statistics provided by a JMS message producer or a JMS message consumer

Version:
  $Revision: 1.4 $
Author:
  Marc Fleury, Andreas Schaefer
See Also:
  Serialized Form

Constructor Summary
`JMSEndpointStatsImpl(javax.management.j2ee.statistics.CountStatistic pMessageCount, javax.management.j2ee.statistics.CountStatistic pPendingMessageCount, javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount, javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime)`

Method Summary
`javax.management.j2ee.statistics.CountStatistic` | `getExpiredMessageCount()` Number of messages that expired before delivery.
`javax.management.j2ee.statistics.CountStatistic` | `getMessageCount()` Number of messages sent or received.
`javax.management.j2ee.statistics.TimeStatistic` | `getMessageWaitTime()` Time spent by a message before being delivered.
`javax.management.j2ee.statistics.CountStatistic` | `getPendingMessageCount()` Number of pending messages.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSEndpointStatsImpl

    public JMSEndpointStatsImpl(javax.management.j2ee.statistics.CountStatistic pMessageCount,
                                javax.management.j2ee.statistics.CountStatistic pPendingMessageCount,
                                javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount,
                                javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime)

Method Detail

### getMessageCount

    public javax.management.j2ee.statistics.CountStatistic getMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSEndpointStats`
  Number of messages sent or received.

  Specified by:
    `getMessageCount` in interface `javax.management.j2ee.statistics.JMSEndpointStats`

### getPendingMessageCount

    public javax.management.j2ee.statistics.CountStatistic getPendingMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSEndpointStats`
  Number of pending messages.

  Specified by:
    `getPendingMessageCount` in interface `javax.management.j2ee.statistics.JMSEndpointStats`

### getExpiredMessageCount

    public javax.management.j2ee.statistics.CountStatistic getExpiredMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSEndpointStats`
  Number of messages that expired before delivery.

  Specified by:
    `getExpiredMessageCount` in interface `javax.management.j2ee.statistics.JMSEndpointStats`

### getMessageWaitTime

    public javax.management.j2ee.statistics.TimeStatistic getMessageWaitTime()

  Description copied from interface: `javax.management.j2ee.statistics.JMSEndpointStats`
  Time spent by a message before being delivered.

  Specified by:
    `getMessageWaitTime` in interface `javax.management.j2ee.statistics.JMSEndpointStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.